KmlObject (KML Framework API)
Keywords: org.boehn.kmlframework.kml.KmlObject class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class KmlObject

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject

Direct Known Subclasses:
  AbstractView, Alias, BallonStyle, ColorStyle, Data, ExtendedData, Feature, Geometry, Link, ListStyle, NetworkLinkControl, Pair, Region, Schema, SimpleData, SimpleField, StyleSelector, TimePrimitive, Update, ViewFormat

    public abstract class KmlObject

extends java.lang.Object

Constructor Summary
`KmlObject()`

Method Summary
`static int` | `booleanToInt(boolean booleanValue)`
`static java.lang.String` | `enumToString(java.lang.Enum _enum)`
`java.lang.String` | `getId()`
`protected java.lang.String` | `getIdAndTargetIdFormatted(Kml kml)`
`java.lang.String` | `getTargetId()`
`void` | `setId(java.lang.String id)`
`void` | `setTargetId(java.lang.String targetId)`
`abstract void` | `write(Kml kml)`
`abstract void` | `writeDelete(Kml kml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KmlObject

    public KmlObject()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getTargetId

    public java.lang.String getTargetId()

### setTargetId

    public void setTargetId(java.lang.String targetId)

### write

    public abstract void write(Kml kml)
                        throws KmlException

  Throws:
    `KmlException`

### writeDelete

    public abstract void writeDelete(Kml kml)
                              throws KmlException

  Throws:
    `KmlException`

### getIdAndTargetIdFormatted

    protected java.lang.String getIdAndTargetIdFormatted(Kml kml)

### booleanToInt

    public static int booleanToInt(boolean booleanValue)

### enumToString

    public static java.lang.String enumToString(java.lang.Enum _enum)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD